import request from '@/utils/request'

// 市场经营--项目备案明细列表
export function apimketingFrameworkAgreementLists(params: any) {
    return request.get({ url: '/marketing.marketing_framework_agreement/lists', params })
}

// 添加市场经营--项目备案明细
export function apimketingFrameworkAgreementAdd(params: any) {
    return request.post({ url: '/marketing.marketing_framework_agreement/add', params })
}

// 编辑市场经营--项目备案明细
export function apimketingFrameworkAgreementEdit(params: any) {
    return request.post({ url: '/marketing.marketing_framework_agreement/edit', params })
}

// 删除市场经营--项目备案明细
export function apimketingFrameworkAgreementDelete(params: any) {
    return request.post({ url: '/marketing.marketing_framework_agreement/delete', params })
}

// 市场经营--项目备案明细详情
export function apimketingFrameworkAgreementDetail(params: any) {
    return request.get({ url: '/marketing.marketing_framework_agreement/detail', params })
}

// 市场经营--项目备案明细列表
export function apimarketingFrameworkAgreementFlows(params: any) {
    return request.get({ url: '/marketing.marketing_framework_agreement/flows', params })
}
// 市场经营--项目备案明细列表
export function apimarketingFrameworkAgreementApprove(params: any) {
    return request.post({ url: '/marketing.marketing_framework_agreement/approve', params })
}